Subject: Re: bug#27744: CSS whitespace:pre not supported

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 Apr 2018 21:05:40 +0200

Geoff Kuenning <[email-masked]> writes:

> The "wash html" function in Gnus doesn't seem to support the
> whitespace:pre CSS style.  I've attached a sample message in
> multipart/mixed format that contains HTML using whitespace:pre. If you
> save the HTML portion in a file and view it with a browser, you'll see
> that the patched code is properly indented.  OTOH if you view it in
> Gnus with "W h", there will be no indentation.

shr (which Gnus uses to render HTML) understands only a minuscule subset
of CSS.  white-space: pre; is not something it supports, and isn't very
likely to support in the near future.  It's rather obscure, and there
are plenty of lower-hanging fruit for people who want to make it render
more stuff.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no